<?php

class Mentormail {

    private $nome, $email, $assuntoemail, $msgemail, $titulomsg, $rodapeemail, $anexos;

    function __construct($nome, $email, $assuntoemail, $msgemail, $titulomsg, $rodapeemail, $anexos) {
        $this->nome = $nome;
        $this->email = $email;
        $this->assuntoemail = $assuntoemail;
        $this->msgemail = $msgemail;
        $this->titulomsg = $titulomsg;
        $this->rodapeemail = $rodapeemail;
        $this->anexos = $anexos;
        
        $this->enviaEmail($this->nome, $this->email, $this->assuntoemail, $this->msgemail, $this->titulomsg, $this->rodapeemail, $this->anexos);
    }

    function enviaEmail($nome, $email, $assuntoemail, $msgemail, $titulomsg, $rodapeemail, $anexos) {

        session_start();
        include "./functions/connect.php";

        // emails para quem será enviado o formulário
        $de = "no-reply@4fretes.com";
        $destino = $email;
        $assunto = $assuntoemail;

        // Adiciona o arquivo class.phpmailer.php - você deve especificar corretamente o caminho da pasta com o este arquivo.
        require_once("./autenvio/PHPMailerAutoload.php");
        // Inicia a classe PHPMailer
        $mail = new PHPMailer();

        // DEFINIÇÃO DOS DADOS DE AUTENTICAÇÃO - Você deve auterar conforme o seu domínio!
        $mail->IsSMTP(); // Define que a mensagem será SMTP
        $mail->Host = "4fretes.com"; // Seu endereço de host SMTP
        $mail->SMTPAuth = true; // Define que será utilizada a autenticação -  Mantenha o valor "true"
        $mail->Port = 587; // Porta de comunicação SMTP - Mantenha o valor "587"
        $mail->SMTPSecure = false; // Define se é utilizado SSL/TLS - Mantenha o valor "false"
        $mail->SMTPAutoTLS = false; // Define se, por padrão, será utilizado TLS - Mantenha o valor "false"
        $mail->Username = 'no-reply@4fretes.com'; // Conta de email existente e ativa em seu domínio
        $mail->Password = 'n321reply'; // Senha da sua conta de email
        // DADOS DO REMETENTE
        $mail->Sender = "no-reply@4fretes.com"; // Conta de email existente e ativa em seu domínio
        $mail->From = "no-reply@4fretes.com"; // Sua conta de email que será remetente da mensagem
        $mail->FromName = "Seguro de Eventos"; // Nome da conta de email
        // DADOS DO DESTINATÁRIO
        $mail->AddAddress("$email", "$nome"); // Define qual conta de email receberá a mensagem
        $mail->AddAddress('felipe@mentoragencia.com.br'); // Define qual conta de email receberá a mensagem
        //$mail->AddCC('rodrigo@4fretes.com'); // Define qual conta de email receberá uma cópia
        //$mail->AddCC('fernando@4fretes.com');
        //$mail->AddBCC("felipesestevam@gmail.com"); // Define qual conta de email receberá uma cópia oculta
        // Definição de HTML/codificação
        $mail->IsHTML(true); // Define que o e-mail será enviado como HTML
        $mail->CharSet = "utf-8"; // Charset da mensagem (opcional)
        // DEFINIÇÃO DA MENSAGEM
        $mail->Subject = "$assunto"; // Assunto da mensagem
        $mail->Body .= "<div style=\"background: #efefef; width: 100%; padding:30px 0;\"><div style=\"max-width: 600px; margin: 0 auto;  text-align:center; \">";
        $mail->Body .= "<img src=\"http://seguroeventos2018.web7039.uni5.net/images/logo-seguro-de-eventos-v.png\" align=\"center\" alt=\"\"> <br><br><br>";

        $mail->Body .= "<div style=\"width: 100%; margin: 0 auto; border:1px solid #cccccc; background: #ffffff; text-align:center; border-radius:3px !important; \">";
        $mail->Body .= "<div style=\"max-width: 100%; background: #9F0000; border-radius:3px 3px 0 0!important; padding:20px;\"> ";
        $mail->Body .= "<h1 style=\"color:#ffffff;font-family:&quot;Helvetica Neue&quot;,Helvetica,Roboto,Arial,sans-serif;font-size:30px;font-weight:300;line-height:110%;margin:0;text-align:center;\">$titulomsg</h1> ";
        $mail->Body .= "</div><br><br>";


        $mail->Body .= "<div style=\"width: 70%; margin: 0 auto; line-height:150%;\">$msgemail</div> <br>";

        $mail->Body .= "$rodapeemail";

        $mail->Body .= "<br><br><div style=\"margin: 0 auto; height: 35px; padding:10px 0 0 0; width:80%; border-top:1px solid #e2e2e2; font-size:10px;color:#666666\">EQUIPE <span style=\"color:#000000;font-weight:800;text-transform:uppercase\">SEGURO DE EVENTOS</span></div>";

        $mail->Body .= "</div>";
        $mail->Body .= "<br><br> Esta é uma mensagem automática, favor não responder este email. \n</div>";
        $mail->Body .= "</div>";
        
        // ANEXOS
        
        if(count($this->anexos) > 0){
            foreach ($this->anexos as $foo) {
                $mail->AddAttachment($foo['arquivo'], $foo['nome']);
            }
        }
        
        // ENVIO DO EMAIL
        $enviado = $mail->Send();
        // Limpa os destinatários e os anexos
        $mail->ClearAllRecipients();

        // Exibe uma mensagem de resultado do envio (sucesso/erro)
        if ($enviado) {
            return true;
        } else {
            echo "Não foi possível enviar o e-mail.";
            echo "<b>Detalhes do erro:</b> " . $mail->ErrorInfo;
            exit;
        }
    }

    function getNome() {
        return $this->nome;
    }

    function getEmail() {
        return $this->email;
    }

    function getAssuntoemail() {
        return $this->assuntoemail;
    }

    function getMsgemail() {
        return $this->msgemail;
    }

    function getTitulomsg() {
        return $this->titulomsg;
    }

    function getRodapeemail() {
        return $this->rodapeemail;
    }

    function setNome($nome) {
        $this->nome = $nome;
    }

    function setEmail($email) {
        $this->email = $email;
    }

    function setAssuntoemail($assuntoemail) {
        $this->assuntoemail = $assuntoemail;
    }

    function setMsgemail($msgemail) {
        $this->msgemail = $msgemail;
    }

    function setTitulomsg($titulomsg) {
        $this->titulomsg = $titulomsg;
    }

    function setRodapeemail($rodapeemail) {
        $this->rodapeemail = $rodapeemail;
    }
    function getAnexos() {
        return $this->anexos;
    }

    function setAnexos($anexos) {
        $this->anexos = $anexos;
    }



}
